Deep Security Manager REST API

Path: / rest / cloudaccounts / {cloudAccountId} / testconnection

Test a cloud account connection against its supporting cloud provider.

Path parameters:
cloudAccountId - Identifier uniquely identifying the cloud account to test.

Method Summary
ResourceDescription
PUT /rest/cloudaccounts/{cloudAccountId}/testconnection?sID=…Test a cloud account connection against its supporting cloud provider.

Method Detail
HTTP Example:
PUT /rest/cloudaccounts/{cloudAccountId}/testconnection?sID=…

API Example:

ICloudAccountAPI.testCloudAccountConnection({'sID': /* sID session ID. */,
  'cloudAccountId': /* cloudAccountId Identifier uniquely identifying the cloud account to test. */});

Test a cloud account connection against its supporting cloud provider.

Output:
TestCloudAccountResponse - A response with status 200 OK and a body containing response information when the connection to the supporting cloud provider was successful. If the cloudAccountId is null or empty, it will return a response with status 400 Bad Request and a body containing an ErrorMessage.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.